{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "TYPE_DESCRIPTION"; 
            externalType = VARCHAR2; 
            name = typeDescription; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1024; 
        }, 
        {
            columnName = "TYPE_ID"; 
            externalType = NUMBER; 
            name = typeId; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_ID_INTERNE"; 
            externalType = VARCHAR2; 
            name = typeIdInterne; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 32; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_LIBELLE"; 
            externalType = VARCHAR2; 
            name = typeLibelle; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 64; 
        }
    ); 
    attributesUsedForLocking = (typeDescription, typeId, typeIdInterne, typeLibelle); 
    className = "org.cocktail.mangue.modele.grhum.EOGrhumParametresType"; 
    classProperties = (typeDescription, typeIdInterne, typeLibelle); 
    externalName = "GRHUM.GRHUM_PARAMETRES_TYPE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (typeDescription, typeIdInterne, typeLibelle); }; 
    name = GrhumParametresType; 
    primaryKeyAttributes = (typeId); 
}
